/*
 *    VisNow
 *    Copyright (C) 2006-2019 University of Warsaw, ICM
 *    Copyright (C) 2020 onward visnow.org
 *    All rights reserved. 
 *
 *  This file is part of GNU Classpath.
 *
 *  GNU Classpath is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  GNU Classpath is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with GNU Classpath; see the file COPYING.  If not, write to the
 *  University of Warsaw, Interdisciplinary Centre for Mathematical and
 *  Computational Modelling, Pawinskiego 5a, 02-106 Warsaw, Poland.
 *
 *  Linking this library statically or dynamically with other modules is
 *  making a combined work based on this library.  Thus, the terms and
 *  conditions of the GNU General Public License cover the whole
 *  combination.
 *
 *  As a special exception, the copyright holders of this library give you
 *  permission to link this library with independent modules to produce an
 *  executable, regardless of the license terms of these independent
 *  modules, and to copy and distribute the resulting executable under
 *  terms of your choice, provided that you also meet, for each linked
 *  independent module, the terms and conditions of the license of that
 *  module.  An independent module is a module which is not derived from
 *  or based on this library.  If you modify this library, you may extend
 *  this exception to your version of the library, but you are not
 *  obligated to do so.  If you do not wish to do so, delete this
 *  exception statement from your version.
 */
 
package org.visnow.vn.geometries.viewer3d.controls;

import javax.swing.ImageIcon;
import org.visnow.vn.geometries.viewer3d.Display3DPanel;

/**
 *
 * @author Krzysztof S. Nowiński, Warsaw University ICM
 */
public class Display3DControlsFrame extends javax.swing.JFrame
{

    private static final long serialVersionUID = 4600073246148982408L;
    private Display3DPanel panel = null;

    /**
     * Creates new form Display3DControlsFrame
     */
    public Display3DControlsFrame(Display3DPanel panel)
    {
        initComponents();
        controlPanel = new org.visnow.vn.geometries.viewer3d.controls.Display3DControlsPanel(panel);
        getContentPane().add(controlPanel, java.awt.BorderLayout.CENTER);
    }

    /**
     * This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents()
    {

        controlPanel = new org.visnow.vn.geometries.viewer3d.controls.Display3DControlsPanel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Viewer3D controls");
        setAlwaysOnTop(true);
        setIconImage(new ImageIcon(getClass().getResource("/org/visnow/vn/gui/icons/big/visnow.png")).getImage());
        setMaximumSize(new java.awt.Dimension(260, 540));
        setMinimumSize(new java.awt.Dimension(260, 540));
        setName("Viewer3D controls"); // NOI18N
        setPreferredSize(new java.awt.Dimension(260, 540));
        setResizable(false);
        addWindowListener(new java.awt.event.WindowAdapter()
        {
            public void windowClosing(java.awt.event.WindowEvent evt)
            {
                formWindowClosing(evt);
            }
            public void windowClosed(java.awt.event.WindowEvent evt)
            {
                formWindowClosed(evt);
            }
        });
        getContentPane().add(controlPanel, java.awt.BorderLayout.CENTER);

        setSize(new java.awt.Dimension(274, 528));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void formWindowClosing(java.awt.event.WindowEvent evt)//GEN-FIRST:event_formWindowClosing
    {//GEN-HEADEREND:event_formWindowClosing
        controlPanel.releaseLightEdit();// TODO add your handling code here:
    }//GEN-LAST:event_formWindowClosing

    private void formWindowClosed(java.awt.event.WindowEvent evt)//GEN-FIRST:event_formWindowClosed
    {//GEN-HEADEREND:event_formWindowClosed
        controlPanel.releaseLightEdit();// TODO add your handling code here:
    }//GEN-LAST:event_formWindowClosed

    public Display3DControlsPanel getControlPanel()
    {
        return controlPanel;
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private org.visnow.vn.geometries.viewer3d.controls.Display3DControlsPanel controlPanel;
    // End of variables declaration//GEN-END:variables

}
